
Redmine - Defect #4086

Email notifications may affect language of notice messages on the UI
Status: Closed Start date: 2009-10-22

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 0.9.1   

Resolution: Fixed Affected version:  

Description

see attached image

Marked notice should be in Polish

Associated revisions

Revision 3307 - 2010-01-10 15:54 - Jean-Philippe Lang

Fixed: email notifications may affect language of notices on the UI (#4086).

History

#1 - 2009-10-22 19:50 - Jean-Philippe Lang

What is your locale? Does it happen every time?

#2 - 2009-10-22 22:01 - Anonymous

- Assignee deleted (Azamat Hackimov)

Jean-Philippe Lang wrote:

What is your locale? Does it happen every time?

 0. environment: production

1.

in settings.yml set

default_language:

default: en

2. set language to Polish on /my/account page

3. create an issue

4. notice is in english (should be in polish)

#3 - 2009-10-23 19:50 - Adam Piotr Żochowski

I will just add that some notices get their language wrong:

another example:

1. user registers with a different language

2. administrator gets email to activate account

3. administrator activates account

4. notice about account being now active shows in new users language, not on administrators language

Kind regards

Adam Żochowski

#4 - 2010-01-10 15:47 - Jean-Philippe Lang

- Subject changed from Issue notices are not translated to Email notifications may affect language of notice messages on the UI

- Category changed from Translations to UI

- Status changed from New to Resolved
- Target version set to 0.9.1

- Resolution set to Fixed

This should be fixed in r3307.

#5 - 2010-01-10 16:20 - Anonymous

It works OK now.

Thanks

Krzysztof

#6 - 2010-01-16 17:06 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 0.9-stable in r3317.
